/**
 * Copyright (c) 2011 Generative Software Development Lab, 
 * University of Waterloo, Canada. 
 * All Rights Reserved.
 * ----------------------------------------------------------
 *           \                                                                           
 *            \                                                                          
 *               __                                                                      
 *          w  c(..)o                                                                    
 *           \__(o)                                                                      
 *               /\                                                                      
 *            w_/(_)-~                                                                   
 *                /|                                                                     
 *               | \                                                                     
 *               m  m  
 */
package org.apache.bcel.generic;

import org.apache.bcel.support.WrapperMember;

/**
 * 
 * TODO Comment!!
 * 
 * @author Thiago Tonelli Bartolomei <ttonelli@uwaterloo.ca>
 */
public class ObjectType extends ReferenceType {

	/**
	 * Wrapper constructor.
	 *
	 * Creates an object type with this class name.
	 * 
	 * @param typeClassName
	 */
	@WrapperMember
	public ObjectType(String typeClassName) {
		super(org.objectweb.asm.Type.getObjectType(Type.getInternalName(typeClassName)));
	}
	
	public String getClassName() {
        return this.getType().getClassName();
    }
}
